PHP Manual
Prev |  | Next

# HttpRequest::setRawPostData

(no version information, might be only in CVS)

HttpRequest::setRawPostData -- Set raw post data

## Description

publicbool HttpRequest::setRawPostData ( [string raw_post_data] )

Set raw post data to send, overwriting previously set raw post data. Don't forget to specify a content type. Affects only POST and custom requests.

Only either post fields or raw post data can be used for each request. Raw post data has higher precedence and will be used even if post fields are set.

## Parameters

raw_post_data

  raw post data

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
HttpRequest::setQueryData | Up | HttpRequest::setSslOptions